### Home Classes Methods

### In Files

- v/VueMenu.rb

### Parent

Object

### Methods

- ::new
- #listenerBoutonHisto
- #listenerBoutonNewDossier
- #listenerBoutonNewFile
- #listenerDestroy

### Class/Module Index

Quicksearch

- CtrlCheckLinks
- CtrlHistoLink
- Menu
- ReadFile
- Vue1
- VueHisto
- VueMenu
- VueResult

No matching classes.

# VueMenu

Classe creation vue du menu

### Public Class Methods

new(ctrl, title) click to toggle source

Creation de la vue

- Menu ctrl : controleur de la vue

- String title : titre de la vue

    # File v/VueMenu.rb, line 6
          def initialize(ctrl, title)
          @ctrl = ctrl
      #fenenetre generale
      @window = Gtk::Window.new
      @window.set_title(title)

      #declaration des differents widgets
      vb = Gtk::VBox.new(true, 6)
      top = Gtk::HBox.new(false, 6)

      #creation boutons
      @newFile = Gtk::Button.new('Nouveau test fichier')
      @newDoss = Gtk::Button.new('Nouveau test dossier')
      @histo = Gtk::Button.new('Histo')

      top.pack_start(@newFile)
      top.pack_start(@newDoss)
      top.pack_start(@histo)
      vb.pack_start(top)
      ##############################

      @window.add(vb)

      # Abbonement fenetre au Listener
      self.listenerBoutonNewFile
      self.listenerBoutonNewDossier
      self.listenerBoutonHisto
      self.listenerDestroy
    end

### Public Instance Methods

listenerBoutonHisto() click to toggle source

Listener appuie bouton validation pour rejouer un fichier dans de l'historique

    # File v/VueMenu.rb, line 54
    def listenerBoutonHisto
          @histo.signal_connect('clicked'){
                  @ctrl.histo
          }
    end

listenerBoutonNewDossier() click to toggle source

Listener appuie bouton validation nouvelle vérification de 1 dossier

    # File v/VueMenu.rb, line 48
    def listenerBoutonNewDossier
          @newDoss.signal_connect('clicked'){
                  @ctrl.newVerifDossier
          }
    end

listenerBoutonNewFile() click to toggle source

Listener appuie bouton nouvelle vérification de 1 fichier

    # File v/VueMenu.rb, line 42
    def listenerBoutonNewFile
          @newFile.signal_connect('clicked'){
                  @ctrl.newVerifFile
          }
    end

listenerDestroy() click to toggle source

Listener fermeture fenetre Menu

    # File v/VueMenu.rb, line 60
    def listenerDestroy
      @window.signal_connect('destroy') {
         @ctrl.destructionMenu
      }
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.